Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v1
Class ParagraphAndVersesRequestType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v1.ParagraphRequestType
          be.fgov.ehealth.samcivics.type.v1.ParagraphAndVersesRequestType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FindParagraphTextRequest, GetAddedDocumentsRequest

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:31:40+02:00",
               comments="JAXB RI v2.2.6")
    public class ParagraphAndVersesRequestType

extends ParagraphRequestType
implements Serializable

Java class for ParagraphAndVersesRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ParagraphAndVersesRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:samcivics:type:v1}ParagraphRequestType">
           <sequence>
             <element name="verseNumList" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="verseNum" type="{http://www.w3.org/2001/XMLSchema}integer" maxOccurs="unbounded"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ParagraphAndVersesRequestType()`

Method Summary
`VerseNumList` | `getVerseNumList()` Gets the value of the verseNumList property.
`void` | `setVerseNumList(VerseNumList value)` Sets the value of the verseNumList property.

Methods inherited from class be.fgov.ehealth.samcivics.type.v1.ParagraphRequestType
`getChapterName, getLanguage, getParagraphName, getStartDate, getVersion, setChapterName, setLanguage, setParagraphName, setStartDate, setVersion`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParagraphAndVersesRequestType

    public ParagraphAndVersesRequestType()

Method Detail

### getVerseNumList

    public VerseNumList getVerseNumList()

  Gets the value of the verseNumList property.

  Returns:
    possible object is `VerseNumList`

### setVerseNumList

    public void setVerseNumList(VerseNumList value)

  Sets the value of the verseNumList property.

  Parameters:
    `value` - allowed object is `VerseNumList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.